summaryrefslogtreecommitdiff
path: root/source4/utils/tests
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-04-08 23:41:08 +0200
committerJelmer Vernooij <jelmer@samba.org>2010-04-08 23:41:08 +0200
commit26d928e9482725fe66db05f23af573fdea61a291 (patch)
treea9284cb9d1c9ed29760a362663e84701a34d0992 /source4/utils/tests
parent0c6f434b7bc0d9d4a8819a03815200966c92736e (diff)
downloadsamba-26d928e9482725fe66db05f23af573fdea61a291.tar.gz
samba-26d928e9482725fe66db05f23af573fdea61a291.tar.bz2
samba-26d928e9482725fe66db05f23af573fdea61a291.zip
s4-net: Convert 'net time' to python.
Diffstat (limited to 'source4/utils/tests')
-rwxr-xr-xsource4/utils/tests/test_net.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/source4/utils/tests/test_net.sh b/source4/utils/tests/test_net.sh
index eb598bf5e1..e49989ff81 100755
--- a/source4/utils/tests/test_net.sh
+++ b/source4/utils/tests/test_net.sh
@@ -29,12 +29,14 @@ testit() {
return $status
}
-testit "domain join" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "domain join" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
-testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no
-testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes
-exit $failed
+testit "time" $VALGRIND $net time $SERVER $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+# FIXME: testit "domainlevel.show" $VALGRIND $net domainlevel show $CONFIGURATION
+exit $failed